#ifndef PAMVMC_DIG_RUNTRAILER_H
#define PAMVMC_DIG_RUNTRAILER_H

#include "PamVMCDigitizer.h"


using std::cout;
using std::endl;

class PamVMCDigRunTrailer  : public PamVMCDigitizer {


 public:


  PamVMCDigRunTrailer():PamVMCDigitizer("RunTrailer")
  {;  }

  
  virtual ~PamVMCDigRunTrailer() {;  }
  
  void FinishRun(){
    DigitizeRunTrailer();
    WriteRunTrailer();
  };

  void Digitize(){; }
  
  void WriteToBuff(){ ;}

  void DigitizeRunTrailer();

  void WriteRunTrailer();


  ClassDef(PamVMCDigRunTrailer,1)
};


#endif //PAMVMC_DIG_TRAILER_H
